declare namespace material {
  /**
   * 申请单明细
   */
  export interface ApplyDetail {
    /** 申请单ID */
    applyId?: number;

    /** 确认数量 */
    confirmQuantity?: number;

    /** createdTime */
    createdTime?: string;

    /** 异常情况说明 */
    exceptionRemark?: string;

    /** id */
    id?: number;

    /** 物料Id */
    materialId?: number;

    /** 申请数量 */
    quantity?: number;

    /** updatedTime */
    updatedTime?: string;
  }

  /**
   * 入库/出库 申请单
   */
  export interface ApplyForm {
    /** 申请人 */
    applicant?: string;

    /** 申请日期 */
    applyDate?: string;

    /** createdTime */
    createdTime?: string;

    /** 异常说明 */
    exceptionExplain?: string;

    /** id */
    id?: number;

    /** 是否确认 */
    isConfirm?: boolean;

    /** 类型 */
    type?: number;

    /** updatedTime */
    updatedTime?: string;
  }

  /**
   * 申请单
   */
  export interface ApplyInfo {
    /** applyDetails */
    applyDetails?: Array<material.ApplyDetail>;

    /** applyForm */
    applyForm?: material.ApplyForm;
  }

  /**
   * 物料信息
   */
  export interface Material {
    /** 赋码规则 */
    assignRule?: number;

    /** 编码 */
    code?: string;

    /** createdTime */
    createdTime?: string;

    /** 备注 */
    description?: string;

    /** id */
    id?: number;

    /** 名称 */
    name?: string;

    /** 规格 */
    spec?: string;

    /** 库存数量 */
    stock?: number;

    /** 类型 */
    type?: string;

    /** updatedTime */
    updatedTime?: string;
  }
}
